Portfolio

Export aggregates investments table as CSV

GET/portfolio/tables/aggregates/investments/export

Downloads the combined (fund + direct) investments table data as a CSV file, applying the same filters and investor scoping as the aggregates investments endpoint.

Query parameters

  • asset_idinteger#
  • investor_idinteger#
  • per_pageinteger#
  • pageinteger#
  • pre_datestring (date-time)#
  • asset_classPortfolioAssetClass | null#
  • structurePortfolioAssetStructure | null#
  • filter[]array | null#
  • sub_position_parent_idinteger#
  • includePendingboolean#
  • latestboolean#

Responses

202
{
  "audit_guid": "string"
}
404

An error

422

Validation error

Examples

curl https://your-org-domain/kong/core/api/v2/portfolio/tables/aggregates/investments/export\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"